Kerbal Space Program - Bug #18768

Resource production/consumption not consistent with warp factor
05/02/2018 08:43 AM - Squelch

Status: Not a Bug Start date: 05/01/2018
Severity: Low % Done: 0%
Assignee:

Category: Physics

Target version:

Version: 1.4.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Observation:

I've noticed this for some time and have only taken it for granted as an exploit, but if you have a refueling operation going on that
normally consumes more electricity than you produce at 1x speed, increasing warp to 1000x causes your electric to fill to capacity
instead of running out so your drills keep on running. This is what we take advantage of. Now the bad news. Jumping to warp 10000x
only increases fuel production by about 2 to 4 times rather than by 10 as expected. Ore also filled up all of a sudden at this level
where as in all the smaller ones, conversion occurred faster than ore production. The actual amount depends on how much
production you got going on at one time, but | took the attached ship, emptied its tanks and added extra drills that operate from the
launch pad and ran these tests. | could not make it to the top speeds before Mono-propellant (MP) filled up so | started over at 1x for
new data once MP was all filled. The way the free electric recharge can be taken advantage of if you don't have an Engineer on
board (this test was with a 5 star) is that you can get up to high warp, then jump to the tracking station and operate any other ships
you need to work with. This will cause the same calculations to be used while you are away.

Expected result:
Ships that lose electricity at 1x should continue to do so at all warp speeds and each warp increase in time should be consistent with
the rate of production or consumption over time.

Related Issues:
| have noticed similar issues with wind drag under physics warp (2x - 4x) as well where a ship seems to slow down more at 1x than
under warp. This would require another test to document values, but it can be observed easily.

Attachments:

1. A spreadsheet (.xlsx file) with the data | have collected

2. The ship | used

3. A Comma Separated Value (.csv) file for anyone weary about importing Excel documents, or who can't use them. It doesn't
contain any formulas, only calculated results.

History

#2 - 05/02/2018 08:47 AM - Squelch
- Project changed from KSP Expansion Packs to Kerbal Space Program

- Category changed from Physics to Physics

Restoring report after an admin hiccup.

#3 - 05/02/2018 10:18 AM - diomedea
- Status changed from New to Investigating

- % Done changed from 0 to 20

#5 - 06/26/2018 10:17 AM - TriggerAu
- Status changed from Investigating to Not a Bug

- % Done changed from 20 to 0

We've had this checked and it is by design - it was specifically added to prevent overrunning of battery power in a single tick. After 100x timewarp
(configurable via ResourceDefaults.cfg) it will scale back EC consumption to prevent exhausting batteries in a single tick.
